using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFacilityType {
        public BemsFacilityType() {
            BemsAlarmSetting = new HashSet<BemsAlarmSetting>();
            BemsChartInfo = new HashSet<BemsChartInfo>();
            BemsControlPointHistory = new HashSet<BemsControlPointHistory>();
            BemsMonitoringPoint = new HashSet<BemsMonitoringPoint>();
            BemsMonitoringPointBaseData = new HashSet<BemsMonitoringPointBaseData>();
            BemsMonitoringPointConfig = new HashSet<BemsMonitoringPointConfig>();
            BemsMonitoringPointHistory15min = new HashSet<BemsMonitoringPointHistory15min>();
            BemsMonitoringPointHistory15minRawData = new HashSet<BemsMonitoringPointHistory15minRawData>();
            BemsMonitoringPointHistoryDaily = new HashSet<BemsMonitoringPointHistoryDaily>();
            BemsMonitoringPointHistoryHourly = new HashSet<BemsMonitoringPointHistoryHourly>();
            BemsMonitoringPointToAnlaysisType = new HashSet<BemsMonitoringPointToAnlaysisType>();
            FmsAlarmPoint = new HashSet<FmsAlarmPoint>();
        }
        //설비 유형
        [Display(Name = "설비유형 코드"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "유형 코드 명")]
        [StringLength(48)]
        public string Name { get; set; }

        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsAlarmSetting> BemsAlarmSetting { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsChartInfo> BemsChartInfo { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsControlPointHistory> BemsControlPointHistory { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPoint> BemsMonitoringPoint { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointBaseData> BemsMonitoringPointBaseData { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointConfig> BemsMonitoringPointConfig { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointHistory15min> BemsMonitoringPointHistory15min { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointHistory15minRawData> BemsMonitoringPointHistory15minRawData { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointHistoryDaily> BemsMonitoringPointHistoryDaily { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointHistoryHourly> BemsMonitoringPointHistoryHourly { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<BemsMonitoringPointToAnlaysisType> BemsMonitoringPointToAnlaysisType { get; set; }
        [InverseProperty("FacilityType")]
        public virtual ICollection<FmsAlarmPoint> FmsAlarmPoint { get; set; }
    }
}
